#!/usr/bin/perl
use strict;
use warnings;
use v5.10;

use Crypt::Rijndael;

my $cipher = Crypt::Rijndael->new('a' x 32, Crypt::Rijndael::MODE_CBC());

if (open(IN, '<', 'crypted')) {
  local $/ = undef; # Read complete files
  my $data=<IN>;
  close IN;
  $data = $cipher->decrypt($data);
  use Devel::Peek 'Dump';
  Dump $data;
  $data =~ s/\0+$//;
  Dump $data;
}
